+ Post New Thread
Results 1 to 4 of 4
  1. #1
    Full Member level 2
    Points: 2,339, Level: 11
    Achievements:
    7 years registered

    Join Date
    Dec 2009
    Location
    Russia
    Posts
    131
    Helped
    45 / 45
    Points
    2,339
    Level
    11

    Code coverage ius82

    Hello!
    I have a problem with running code coverage in ius82:
    ncelab: *F,COVSCNDRY: Coverage is not supported for designs compiled with the secondary compiler..
    I use next ncelab coverage options:
    -coverage all -covdut dut_name

    •   AltAdvertisement

        
       

  2. #2
    Advanced Member level 2
    Points: 4,734, Level: 16

    Join Date
    Sep 2004
    Location
    Bangalore, India
    Posts
    646
    Helped
    84 / 84
    Points
    4,734
    Level
    16

    Re: Code coverage ius82

    Quote Originally Posted by poluekt
    Hello!
    I have a problem with running code coverage in ius82:
    ncelab: *F,COVSCNDRY: Coverage is not supported for designs compiled with the secondary compiler..
    I use next ncelab coverage options:
    -coverage all -covdut dut_name
    Try:

    Code:
     nchelp ncelab COVSCNDRY
    My guess is you use svpp flow, but it is a wild guess. Look at irun flow or best is to ask CDN support

    Ajeetha, CVC
    www.cvcblr.com



    •   AltAdvertisement

        
       

  3. #3
    Full Member level 2
    Points: 2,339, Level: 11
    Achievements:
    7 years registered

    Join Date
    Dec 2009
    Location
    Russia
    Posts
    131
    Helped
    45 / 45
    Points
    2,339
    Level
    11

    Re: Problem with code coverage ius82

    I don't use svpp.

    Code:
    ncelab/COVSCNDRY =
            Either remove coverage options such as -COVERAGE or use the primary compiler.
    In what the difference between primary and secondary compiler?

    No this problem in ldv5.60.



    •   AltAdvertisement

        
       

  4. #4
    Full Member level 2
    Points: 2,339, Level: 11
    Achievements:
    7 years registered

    Join Date
    Dec 2009
    Location
    Russia
    Posts
    131
    Helped
    45 / 45
    Points
    2,339
    Level
    11

    Re: Problem with code coverage ius82

    Problem is closed.
    I used GCC_VERS=3.2.3. Code coverage works with GCC_VERS=4.1.



--[[ ]]--